Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class ActivationConfigPropertyMetaData

    java.lang.Object
      org.jboss.metadata.MetaData
          org.jboss.metadata.ActivationConfigPropertyMetaData

All Implemented Interfaces:
  Cloneable, XmlLoadable

public class ActivationConfigPropertyMetaData
extends MetaData

Parse the activation-config-property element used in message driven bean. It is a name/value pair

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock.

Field Summary

Fields inherited from class org.jboss.metadata.MetaData
`log, TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`ActivationConfigPropertyMetaData()` Create a new Activation Config Property MetaData object
`ActivationConfigPropertyMetaData(String name, String value)` Create a new Activation Config Property MetaData object

Method Summary
`String` | `getName()` Retrieve the property name
`String` | `getValue()` Retrieve the property value
`void` | `importXml(Element element)` Imports either the jboss or ejb-jar from the given element.
`String` | `toString()`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementAttribute, getElementContent, getElementContent, getFirstElementContent, getOptionalChild, getOptionalChild, getOptionalChildBooleanContent, getOptionalChildBooleanContent, getOptionalChildContent, getOptionalChildContent, getUniqueChild, getUniqueChildContent, importEjbJarXml, importJbossXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActivationConfigPropertyMetaData

    public ActivationConfigPropertyMetaData()

  Create a new Activation Config Property MetaData object

### ActivationConfigPropertyMetaData

    public ActivationConfigPropertyMetaData(String name,
                                            String value)

  Create a new Activation Config Property MetaData object

Parameters:
  `name` - the name
  `value` - the value

Method Detail

### getName

    public String getName()

  Retrieve the property name

### getValue

    public String getValue()

  Retrieve the property value

### importXml

    public void importXml(Element element)
                   throws org.jboss.deployment.DeploymentException

  Description copied from class: `MetaData`
  Imports either the jboss or ejb-jar from the given element.

  Specified by:
    `importXml` in interface `XmlLoadable`
  Overrides:
    `importXml` in class `MetaData`
  Parameters:
    `element` - The element to import.
  Throws:
    `org.jboss.deployment.DeploymentException` - Unrecognized root tag.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.